%define pkgname erubis
Summary:	Fast, secure, and very extensible implementation of eRuby
Name:		ruby-%{pkgname}
Version:	2.7.0
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	cca3cf13ef951d1fc8c124d2fde52565
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Requires:	ruby-abstract
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Erubis is a fast, secure, and very extensible implementation of eRuby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q

%{__sed} -i -e 's,/usr/bin/env ruby,%{__ruby},' bin/erubis

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{ActionView,ERB,Kernel}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%attr(755,root,root) %{_bindir}/erubis
%{ruby_rubylibdir}/erubis.rb
%{ruby_rubylibdir}/erubis

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Erubis
%changelog
* Wed Apr 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-erubis.git;a=log;h=master

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> bb2e1fb
- up to 2.7.0

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> f0f387b
- require abstract

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> f1d2610
- rpm5 can unpack .gem; build noarch with new ruby

* Mon Mar 08 2010 Jan Rękorajski <baggins@pld-linux.org> ad9d94e
- initial revision

